Name:                buildnumber-maven-plugin
Version:             3.2.0
Release:             1
Summary:             Build Number Maven Plugin
License:             MIT and ASL 2.0
URL:                 https://www.mojohaus.org/buildnumber-maven-plugin
BuildArch:           noarch
Source0:             https://github.com/mojohaus/buildnumber-maven-plugin/archive/%{name}-%{version}.tar.gz
Source1:             http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:             0001-remove-nonexistent-dependency.patch
BuildRequires:       maven-local mvn(junit:junit) mvn(net.java.dev.jna:jna)
BuildRequires:       mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven:maven-project) mvn(org.apache.maven:maven-settings:2.0.6)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:       mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:       mvn(commons-lang:commons-lang)
BuildRequires:       mvn(org.eclipse.aether:aether-connector-basic)
BuildRequires:       mvn(org.eclipse.aether:aether-transport-wagon)
BuildRequires:       mvn(org.apache.maven.wagon:wagon-http)
BuildRequires:       mvn(org.apache.maven.wagon:wagon-provider-api)

%description
This mojo is designed to get a unique build number for each time you build
your project. So while your version may remain constant at 1.0-SNAPSHOT
for many iterations until release, you will have a build number that can
uniquely identify each build during that time. The build number is obtained
from scm, and in particular, at this time, from svn. You can then place that
build number in metadata, which can be accessed from your app, if desired.
The mojo also has a couple of extra functions to ensure you get the proper
build number. First, your local repository is checked to make sure it is
up to date. Second, your local repository is automatically updated, so that
you get the latest build number. Both these functions can be suppressed,
if desired.
Optionally, you can configure this mojo to produce a revision based on a
timestamp, or on a sequence, without requiring any interaction with an
SCM system. Note that currently, the only supported SCM is subversion.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
cp -p %{SOURCE1} .
%pom_remove_dep com.google.code.maven-scm-provider-svnjava:maven-scm-provider-svnjava
%pom_remove_dep org.tmatesoft.svnkit:svnkit
%pom_remove_plugin :maven-enforcer-plugin
%pom_add_dep junit:junit::test

%pom_add_dep commons-lang:commons-lang:2.6

%build
%mvn_build -b -f
patch -p1 < %{SOURCE2}

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt LICENSE-2.0.txt

%changelog
* Thu Aug 17 2023 Ge Wang <wang--ge@126.com> - 3.2.0-1
- Update to version 3.2.0

* Mon Aug 10 2020 chengzihan <chengzihan2@huawei.com> - 1.3-1
- Package init
